#ifndef UPLOADS_H
#define UPLOADS_H

#include "ftpaccess.h"
#include "UploadsBase.h"
#include <kapplication.h>

class Uploads : public UploadsBase {
	Q_OBJECT
public:
	Uploads(QWidget *parent=0, const char *name=0);
	~Uploads();
public slots:
	void	ftpaccessLoaded(ftpaccess *xs);
	void	update();
	void	addUploadPressed();
	void	editUploadPressed();
	void	rmUploadPressed();
	void	UploadAdded(ftpupload *upload);
	void	UploadEdited(ftpupload *upload);
private:
	void	redraw();
	ftpaccess *	ftpxs;
};

#endif
